#pragma once
#include "afxwin.h"


// CDbSettingDlg 对话框

class CDbSettingDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CDbSettingDlg)

public:
	CDbSettingDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDbSettingDlg();

// 对话框数据
	enum { IDD = IDD_DBSETTING };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	CString m_host_master;
	UINT m_port_master;
	CString m_pwd_master;
	CString m_user_master;
	CString m_db_master;
	CComboBox m_encode_master;
	BOOL m_use_slave;
	CString m_host_slave;
	UINT m_port_slave;
	CString m_user_slave;
	CString m_pwd_slave;
	CString m_db_slave;
	CComboBox m_encode_slave;
private:
	void init_ui();
	void EnableCtrl(BOOL status);
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCheck1();
};
